#ifndef UTILFUNC_H
#define UTILFUNC_H

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define EARTH_RADIUS_M 6371010 /* Earth's mean radius in m; equatorial radius 6378137m*/

#define deg2rad(x) ((x)*M_PI/180.)
#define check_ptr(ptr) if((ptr)==NULL) failu("Error allocating memory\n")
#define check_file(file) if((file)==NULL) failu("Error opening file\n")

unsigned long int getfilesize(FILE*);
void failu(const char*);
/* returns pixelarea in m, lon/lat in degree */
double pixelarea(double lon_e, double lon_w, double lat_n, double lat_s);
void global_mean_areaweighted_float(FILE* gridfile,float* data, long npix, long nr, long nc, long nyear, long nbands, double* mean,double* std, float* natvegfrac);
void timeseries_mean_bsq_float(float* data, long npixel,long nyear,long nbands,double* mean,double* std);
#endif
